
From: Adrian Bunk <bunk@fs.tum.de>

JFFS2_COMPRESSION_OPTIONS is asked even if JFFS2_FS support isn't 
selected.

The patch below adds a dependency on JFFS2_FS to JFFS2_COMPRESSION_OPTIONS.

Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/Kconfig~jffs2_compression_options-fix fs/Kconfig
--- 25/fs/Kconfig~jffs2_compression_options-fix	Thu Jul 29 15:14:27 2004
+++ 25-akpm/fs/Kconfig	Thu Jul 29 15:14:27 2004
@@ -1094,6 +1094,7 @@ config JFFS2_FS_NAND
 
 config JFFS2_COMPRESSION_OPTIONS
 	bool "Advanced compression options for JFFS2"
+	depends on JFFS2_FS
 	default n
 	help
 	  Enabling this option allows you to explicitly choose which
_
